#!/usr/bin/env node

const minify = require("./gulpfile");
const argv = require('yargs').argv;

if(!argv.inputPath) {
  throw console.error("You need to input the path of the angular dist folder, Ej: minify-angular --input-path path/of/dist --project-path path/of/project");
}

if (!argv.tar) {
  console.info("Procceding to minify without tarball compress");
  minify(argv.inputPath, argv.projectPath ? argv.projectPath : '/', null);
} else {
  console.info("Procceding to minify using tarball");
  minify(argv.inputPath, argv.projectPath ? argv.projectPath : '/', true);
}